package main

import (
	"fmt"
	"os"
	"time"

	conf "oc-scheduler/conf"

	"github.com/rs/zerolog"
)

var log zerolog.Logger

func main() {
	output := zerolog.ConsoleWriter{Out: os.Stdout, TimeFormat: time.RFC3339}
	log = zerolog.New(output).With().Timestamp().Logger()

	app_conf := conf.GetConfig()
	apiurl := app_conf.OcCatalogUrl
	
	var g Graph

	list, err := g.GetGraphList(apiurl)
	if err != nil {
		log.Fatal().Msg("Failed to get the workspaces list, check api url and that api server is up : " + apiurl)
	}
	
	println("Available workspaces :")
	for workspace, _ := range list {
		println(workspace)
	}
	
	if _, err := os.Stat("./argo_workflows/"); os.IsNotExist(err) {
		os.Mkdir("./argo_workflows/",0755)
		log.Info().Msg("Created argo_workflows/")
	}

	g.LoadFrom(list["test-alpr"])
	g.ExportToArgo("test-alpr")

	for(1 == 1){
		fmt.Print("")
	}
 	fmt.Print("stop")

}
